import { Context, Schema } from 'koishi';
export declare const inject: {
    required: string[];
    optional: string[];
};
export declare const name = "fei-r-p-s";
export interface Config {
    rpsTime: number;
    rpsWaitTime: number;
    rpsPreparedTime: number;
}
export declare const Config: Schema<Config>;
declare module 'koishi' {
    interface Tables {
        rpsWinCount: RPSWinCount;
    }
}
export interface RPSWinCount {
    cid: string;
    uid: string;
    loserId: string;
    loserName: string;
    count: number;
}
export declare function apply(ctx: Context, config: Config): void;
